/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sample.scatterplot.persistence;

import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * Real entity for the SEA_LEVEL plot type.
 *
 * @author ricky
 */
@Entity
@Table(name="SEA_LEVEL")
@NamedQueries({
  @NamedQuery(name = "SEA_LEVEL-findSamplesBetweenDates",
    query = "SELECT s FROM SeaLevel AS s WHERE s.sampleDate > :begin AND s.sampleDate < :end"
  )
})
public class SeaLevel extends PlotSample {
    
    private static final long serialVersionUID = 1L;

    @Override
    public PlotType getPlotType() {
        return PlotType.SEA_LEVEL;
    }

}
