/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sample.scatterplot.persistence;

import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * Real entity for WAVE (high of waves).
 *
 * @author ricky
 */
@Entity
@Table(name="WAVES")
@NamedQueries({
  @NamedQuery(name = "WAVE-findSamplesBetweenDates",
    query = "SELECT s FROM Wave AS s WHERE s.sampleDate > :begin AND s.sampleDate < :end"
  )
})
public class Wave extends PlotSample {

    private static final long serialVersionUID = 1L;

    @Override
    public PlotType getPlotType() {
        return PlotType.WAVE;
    }

}
